/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Death on Apr-06-2012 04:35:42pm
Filepath: scripts\events and scenarios\Easter 2012\Easter Collection\Rewards\EasterFood.cs
Lines of code: 131

Description: 

***********************************************************/


using System;
using System.Collections;
using Server.Network;
using System.Collections.Generic;
using Server.ContextMenus;

namespace Server.Items
{
	public class EasterWine : BeverageBottle
	{
		[Constructable]
		public EasterWine() : base( BeverageType.Ale )
		{
			Name = "Easter Wine";
			Hue = Utility.RandomList(1168, 1165, 1151, 2213, 1324, 1158, 1169, 1162, 1160, 1167);
		}

		public EasterWine( Serial serial ) : base( serial )
		{
		}
		
		public override void GetProperties( ObjectPropertyList list)
		{
			base.GetProperties( list );
			list.Add( 1060658,"Easter \t" + "2012");
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}

	public class HotCrossBuns : Food
	{
		[Constructable]
		public HotCrossBuns() : this( 1 )
		{
		}

		[Constructable]
		public HotCrossBuns( int amount ) : base( amount, 0x103B )
		{
			Name = "Hot Cross Buns";
			Hue = 1190;
			this.Weight = 1.0;
			this.FillFactor = 10;
		}

		public HotCrossBuns( Serial serial ) : base( serial )
		{
		}
		
		public override void GetProperties( ObjectPropertyList list)
		{
			base.GetProperties( list );
			list.Add( 1060658,"Easter \t" + "2012");
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}

	public class EasterBunnyCake : Food
	{
		[Constructable]
		public EasterBunnyCake() : base( 0x9E9 )
		{
			Stackable = false;
			Name = "Easter Bunny's Cake";
			Hue = Utility.RandomList(1168, 1165, 1151, 2213, 1324, 1158, 1169, 1162, 1160, 1167);
			this.Weight = 1.0;
			this.FillFactor = 15;
		}

		public EasterBunnyCake( Serial serial ) : base( serial )
		{
		}
		
		public override void GetProperties( ObjectPropertyList list)
		{
			base.GetProperties( list );
			list.Add( 1060658,"Easter \t" + "2012");
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
	
	public class EasterCookies : Food
	{
		[Constructable]
		public EasterCookies() : this( 1 )
		{
		}

		[Constructable]
		public EasterCookies( int amount ) : base( amount, 0x097A )
		{
			Name = "Shortbread Cookies";
			Hue = Utility.RandomList(1168, 1165, 1151, 2213, 1324, 1158, 1169, 1162, 1160, 1167);
			this.Weight = 2.0;
			this.FillFactor = 5;
		}

		public EasterCookies( Serial serial ) : base( serial )
		{
		}
		
		public override void GetProperties( ObjectPropertyList list)
		{
			base.GetProperties( list );
			list.Add( 1060658,"Easter \t" + "2012");
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}